Информационная безопасность
[RU] switch to English


Дополнительная информация

  Многочисленные уязвимости в PHP (multiple bugs)

  [Full-disclosure] [ MDKSA-2006:162 ] - Updated php packages fix vulnerabilities

From:PHP
Date:18 августа 2006 г.
Subject:PHP 4.4.4 and PHP 5.1.5 Released

PHP 4.4.4 and PHP 5.1.5 Released

[17-Aug-2006] The PHP development team would like to announce the immediate availability of PHP 5.1.5 and 4.4.4. These two releases address a series of security problems that were discovered since the release of PHP 5.1.4 and 4.4.3. The new releases include the following changes:

   * Added missing safe_mode/open_basedir checks inside the error_log(), file_exists(), imap_open() and imap_reopen() functions.
   * Fixed overflows inside str_repeat() and wordwrap() functions on 64bit systems.
   * Fixed possible open_basedir/safe_mode bypass in cURL extension and on PHP 5.1.5 with realpath cache.
   * Fixed overflow in GD extension on invalid GIF images.
   * Fixed a buffer overflow inside sscanf() function.
   * Fixed an out of bounds read inside stripos() function.
   * Fixed memory_limit restriction on 64 bit system.

Further details about this release can be found in the release announcements (5.1.5 and 4.4.4), and the full list of changes is available in the ChangeLogs (PHP 4, PHP 5).

О сайте | Условия использования
© SecurityVulns, 3APA3A, Владимир Дубровин
Нижний Новгород